## org.apache.axis.configuration
Class ServletEngineConfigurationFactory

    java.lang.Object
      org.apache.axis.configuration.DefaultEngineConfigurationFactory
          org.apache.axis.configuration.ServletEngineConfigurationFactory

All Implemented Interfaces:
  EngineConfigurationFactory

public class ServletEngineConfigurationFactory
extends DefaultEngineConfigurationFactory

This is a 'front' for replacement logic. Use EngineConfigurationFactoryFinder.newFactory(yourServletContext).

Author:
  Richard A. Sitze, Glyn Normington (glyn@apache.org)

Field Summary

Fields inherited from class org.apache.axis.configuration.DefaultEngineConfigurationFactory
`factory`

Fields inherited from interface org.apache.axis.EngineConfigurationFactory
`SYSTEM_PROPERTY_NAME`

Constructor Summary
`ServletEngineConfigurationFactory(javax.servlet.ServletContext ctx)` Deprecated.

Methods inherited from class org.apache.axis.configuration.DefaultEngineConfigurationFactory
`getClientEngineConfig, getServerEngineConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServletEngineConfigurationFactory

    public ServletEngineConfigurationFactory(javax.servlet.ServletContext ctx)

  Deprecated.

Copyright © 2005 Apache Web Services Project. All Rights Reserved.